PEARL Procedures rev-distro-2.1.1-1-gf419e92-dirty Igor procedures for the analysis of PEARL data

pearl-compat.ipf
Go to the documentation of this file.
1 #pragma rtGlobals=3 // Use modern global access method and strict wave access.
2 #pragma IgorVersion = 6.1
3 #pragma ModuleName = PearlCompat
4 #pragma version = 1.01
5
6 // copyright (c) 2019 Paul Scherrer Institut
7 //
8 // Licensed under the Apache License, Version 2.0 (the "License");
9 // you may not use this file except in compliance with the License.
10 // You may obtain a copy of the License at
11 // http:///www.apache.org/licenses/LICENSE-2.0
12
25
30
31
32 // Compatible CleanupName function
33 //
34 // Igor 8's CleanupName may return long object names (> 31 characters).
35 // This breaks compatibility with earlier Igor versions.
36 // Experiments that include waves, folders, windows etc. with long names
37 // cannot be loaded with an earlier version.
38 //
39 // This is a drop-in replacement function for CleanupName.
40 // In addition to the behaviour of CleanupName,
41 // this replacement ensures that names are limited to 31 characters.
42 //
43 // @param name object name to clean up
44 //
45 // @return (str) clean object name
46 //
47 function /s PearlCleanupName(name)
48 string name
49
50 #if IgorVersion() >= 8.00
51 // note: this function is not threadsafe
52 return CleanupName(name, 0, 31)
53 #else
54 return CleanupName(name, 0)
55 #endif
56
57 end
PearlCleanupName
string PearlCleanupName(string name)
Definition: pearl-compat.ipf:47